Organizations — API Reference

Organizations can be used to manage multiple workspaces

5 endpoints across 2 tags.

Consumption

POST /business-profile-service/organizations/usage/stats/newDataPoints — Get consumption metric with new data points

/api-reference/organizations#tag/Consumption/operation/generateDailyNewDataPointsStats

Retrieve the number of new events (events added to the database on a particular day), listed by day. You can limit the metric to particular workspaces and event types (actions).


API consumers: Synerise User, Organization

Request body (required)

application/json · business-profile-service-OrganizationDailyUsageReportRequest

FieldTypeRequiredDescription
fromstringrequiredFirst day to retrieve, in YYYY-MM-DD format
tostringrequiredLast day to retrieve, in YYYY-MM-DD format
actionsarray<string>optionalYou can limit the events added to the report. Without this parameter, all events are included.
bpGuidsarray<string>optionalYou can limit the workspaces added to the report. Without this parameter, all workspaces in the organization are included.

Responses

StatusDescription
200 application/jsonStatistics of new events for the specified date range
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonUnauthorized: insufficient permissions.
4xx application/jsonRequest failed. See response for details.

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/business-profile-service/organizations/usage/stats/newDataPoints \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"from":"2025-05-29","to":"2025-05-30","actions":["page.visit"],"bpGuids":["34eea35e-3ac4-44f4-95b5-fd00a3b45eff"]}'

POST /business-profile-service/organizations/usage/stats/retentionDataPoints — Get consumption metric with retention data points

/api-reference/organizations#tag/Consumption/operation/generateDailyRetentionDataPointsStats

Retrieve the number of events kept in the database, listed by day. This includes events saved in the past, which currently exist in the database according to their retention period.

You can limit the metric to particular workspaces and event types (actions).


API consumers: Synerise User, Organization

Request body (required)

application/json · business-profile-service-OrganizationDailyUsageReportRequest

FieldTypeRequiredDescription
fromstringrequiredFirst day to retrieve, in YYYY-MM-DD format
tostringrequiredLast day to retrieve, in YYYY-MM-DD format
actionsarray<string>optionalYou can limit the events added to the report. Without this parameter, all events are included.
bpGuidsarray<string>optionalYou can limit the workspaces added to the report. Without this parameter, all workspaces in the organization are included.

Responses

StatusDescription
200 application/jsonStatistics of retention events for the specified date range
401 application/jsonUnauthorized: wrong consumer scope; token missing/expired/invalid; invalid API key; etc.
403 application/jsonUnauthorized: insufficient permissions.
4xx application/jsonRequest failed. See response for details.

Example request (cURL)

curl --request POST \
  --url https://api.synerise.com/business-profile-service/organizations/usage/stats/retentionDataPoints \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"from":"2025-05-29","to":"2025-05-30","actions":["page.visit"],"bpGuids":["34eea35e-3ac4-44f4-95b5-fd00a3b45eff"]}'

Organization workspaces

GET /business-profile-service/business-profiles — Get universal list of organization workspaces

/api-reference/organizations#tag/Organization-workspaces/operation/getBusinessProfilesUniversalList

Retrieve a universal list of workspaces available to the user.


API consumer: Synerise User

Parameters

NameInTypeRequiredDescription
pagequeryintegeroptionalPage to retrieve
limitqueryintegeroptionalLimit of items per page
favoritequerybooleanoptional
searchquerystringoptionalString to search for
sortByqueryenum<"ID:ASC", "ID:DESC", "NAME:ASC", "NAME:DESC", …>optional

Responses

StatusDescription
200 application/jsonOK

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/business-profile-service/business-profiles?page=SOME_INTEGER_VALUE&limit=SOME_INTEGER_VALUE&favorite=SOME_BOOLEAN_VALUE&search=SOME_STRING_VALUE&sortBy=SOME_STRING_VALUE'

GET /business-profile-service/organizations/workspaces — Get all workspaces from organization

/api-reference/organizations#tag/Organization-workspaces/operation/getWorkspacesOfOrganization

Retrieve a list of all workspaces in an organization.


API consumers: Synerise User, Organization

Responses

StatusDescription
200 application/jsonList of workspaces

Example request (cURL)

curl --request GET \
  --url https://api.synerise.com/business-profile-service/organizations/workspaces

GET /business-profile-service/organizations/business-profiles/with-identifiers — Get universal list of organization workspaces with profile identifiers

/api-reference/organizations#tag/Organization-workspaces/operation/getBusinessProfilesWithIdentifiersForOrganizationUserUniversalList

Retrieve a universal list of workspaces in context of the current user; with profile identifiers used in each workspace.


API consumer: Synerise User

Parameters

NameInTypeRequiredDescription
pagequeryintegeroptionalPage to retrieve
limitqueryintegeroptionalLimit of items per page
businessProfileGroupIdquerystringoptionalWorkspace group to filter by.
sortByqueryenum<"NAME:ASC", "NAME:DESC", "CREATED:ASC", "CREATED:DESC">optional
searchquerystringoptional

Responses

StatusDescription
200 application/jsonOK

Example request (cURL)

curl --request GET \
  --url 'https://api.synerise.com/business-profile-service/organizations/business-profiles/with-identifiers?page=SOME_INTEGER_VALUE&limit=SOME_INTEGER_VALUE&businessProfileGroupId=SOME_STRING_VALUE&sortBy=SOME_STRING_VALUE&search=SOME_STRING_VALUE'

Back to all API categories